# GetRatingForParticipant_PostgreSQLImpl Class Reference

Given a particular player and game, get that player's rating from the database. More...

`#include <RankingServer_PostgreSQL.h>`

Inheritance diagram for GetRatingForParticipant_PostgreSQLImpl:

List of all members.

## Public Member Functions

virtual void | Process (void *context)
| Does SQL Processing.
virtual void | HandleResult (bool wasCancelled, void *context)

## Static Public Member Functions

static GetRatingForParticipant_PostgreSQLImpl * | Alloc (void)
| Use these for allocation/deallocation if building to a DLL, so allocation and deallocation happen in the same DLL.

## Detailed Description

Given a particular player and game, get that player's rating from the database.

## Member Function Documentation

void GetRatingForParticipant_PostgreSQLImpl::HandleResult | ( | bool | wasCancelled,
|  | void * | context |
| ) |  |  | `[virtual]`

Calls the callback specified by RankingServerFunctor::callback (which you set) or RankingServer_PostgreSQL::AssignCallback() (which sets it for you) Default implementation also deallocates the structure.

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/RankingServerDB_PostgreRepository/RankingServer_PostgreSQL.h
- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/RankingServerDB_PostgreRepository/RankingServer_PostgreSQL.cpp